Bug 123892 - All aliases created have number 1
Summary: All aliases created have number 1
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
(Show other bugs)
Version: 2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-21 13:11 UTC by Miloslav Trmac
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-19 14:58:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch against s-c-n-1.3.16-1 (2.62 KB, patch)
2004-06-28 11:56 UTC, Miloslav Trmac
no flags Details | Diff

Description Miloslav Trmac 2004-05-21 13:11:53 UTC
Version-Release number of selected component (if applicable):
system-config-network-1.3.16-1

Steps to Reproduce:
1. Run s-c-network, (assuming that eth0 is already defined)
2. Create a new device using the eth0 hardware
3. Create a new device using the eth0 hardware
  
Actual results:
Both created devices are eth0:1

Expected results:
eth0:1, eth0:2

Comment 1 Miloslav Trmac 2004-06-28 11:56:14 UTC
Created attachment 101463 [details]
Patch against s-c-n-1.3.16-1

The steps to reproduce don't work for me now, reliable is this:
* Create a first connection using eth0
* Create a second connection using eth0 (== eth0:1)
* Delete the first connection
* Create a third connection using eth0
Result: The third connection is eth0:1 too.
[this apparently depends on order of entries in the device list; if the first
entry is an alias and there is no other alias, the bug triggers.]

The attached patch fixes this for me, same code appears in several other
places and was modified the same way.


Note You need to log in before you can comment on or make changes to this bug.